Last Comment Bug 749552 - The Command+K keyboard shortcut should select for chat search box when the chat tab is selected
: The Command+K keyboard shortcut should select for chat search box when the ch...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 03:16 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-05-15 06:54 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (847 bytes, patch)
2012-04-27 03:16 PDT, Florian Quèze [:florian] [:flo]
mconley: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Review

Description Florian Quèze [:florian] [:flo] 2012-04-27 03:16:23 PDT
Created attachment 618980 [details] [diff] [review]
Patch

The empty text of the IM search box shows the Command+K keyboard shortcut (consistent with search boxes of other tabs) so it should work.
Comment 1 Mike Conley (:mconley) - (needinfo me!) 2012-04-27 06:23:32 PDT
Comment on attachment 618980 [details] [diff] [review]
Patch

Review of attachment 618980 [details] [diff] [review]:
-----------------------------------------------------------------

This looks OK - but squib is right, we should probably abstract this out into a Command at some point.  I'll file a bug.
Comment 2 Florian Quèze [:florian] [:flo] 2012-05-02 03:31:54 PDT
(In reply to Mike Conley (:mconley) from comment #1)
> we should probably abstract this out into a Command at some point.
> I'll file a bug.

This was filed as bug 749599.

http://hg.mozilla.org/comm-central/rev/2981746a1d7d
Comment 3 Florian Quèze [:florian] [:flo] 2012-05-15 06:54:37 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/5b0cc205f657

Note You need to log in before you can comment on or make changes to this bug.